Qualification Assignments API 2.0

The Qualification Assignments API is for administering the assignment of Qualification records to people in Skills Base which includes querying, associating, disassociating and modifying records.

Endpoint

/2.0/qualificationassignments

Entity Relationship Diagram

image-20260219-230636.png

Objects used by this API

Name

Data type

Read only

Description

id

integer

Yes

The unique identifier for the record, used to reference the record in other API interactions.

qualification_id

integer

No

The Qualification ID

person_id

integer

No

The ID of the person that the Qualification is assigned to

status

string

No

Qualification status. Possible values are ["completed", "completing", "nominated"]

start_date

date

No

Qualification start date

end_date

date

No

Qualification end date

custom_field_{n}

string

No

Custom Field with id {n}. Where {n} corresponds to the permanent internal id allocated to the custom field (retrievable via the Skills Base UI)

Methods

GET /qualificationassignments

Returns all Qualification Assignments for all people.

GET /qualificationassignments/:id

Returns a Qualification Assignment matching the given id. Please note that that the id refers to a qualification assignment id and not a qualification id. If you wish to retrieve qualification assignments for a qualification (or a person) use the search endpoint below.

POST /qualificationassignments/search

Searches Qualification Assignment records. See Search APIs for a description of search functionality.

The available search parameters are:

Name

Arrays

Wildcards

qualification_id

Yes

No

person_id

Yes

No

status

Yes

No

start_date

Yes

No

end_date

Yes

No

POST /qualificationassignments

Assigns a Qualification to a person.

The following parameters are accepted:

Name

Required

qualification_id

Yes

person_id

Yes

status

Yes

start_date

No

end_date

No

custom_field_{n}

No

PUT /qualificationassignments/:id

Updates an existing Qualification Assignment record.

The following fields can be updated:

Name

qualification_id

person_id

status

start_date

end_date

custom_field_{n}

DELETE /qualificationassignments/:id

Deletes a Qualification Assignment